Skip to main content
PATCH
/
v1
/
admin
/
settings
/
operator-profile
Update operator profile
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/settings/operator-profile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "legalName": "<string>",
  "tradingName": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "address": {},
  "logoUrl": "<string>"
}
'
{
  "legalName": "<string>",
  "tradingName": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "address": {},
  "logoUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
tradingName
string | null
email
string<email> | null
phone
string | null
address
object
logoUrl
string | null

Response

200 - application/json

Updated profile

tradingName
string | null
email
string<email> | null
phone
string | null
address
object
logoUrl
string | null